#ifndef __BSP_H__
#define __BSP_H__

#include "hal/hal.h"
#include "hal/pwm.h"
#include "hal/adc.h"
#include "hal/tim4.h"
#include "bsp/serial.h"

void system_init(void);
void system_reboot(void);
int get_hall_stat(int samples);
void wdog_reload(void);
void wdog_enable(void);

#endif /* __BSP_H__ */
